@import url('https://fonts.googleapis.com/css2?family=Fraunces:ital,opsz,wght@0,9..144,100..900;1,9..144,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Instrument+Sans:ital,wght@0,400..700;1,400..700&display=swap');

/* VARIABLES */

:root {
  --color-dorado: #9e713c;
  --color-dorado2: #c49256;
  --color-azul: #16213e;
  --color-texto: #6e6452;
  --fuente-titulo: 'Fraunces', 'Times', serif;
  --fuente-texto: 'Instrument Sans', 'Arial', sans-serif;
  --size-texto: 15px;
  --size-titulos: 25px;
  --bs-border-color: #c49256;
}

body {
  font-family: var(--fuente-texto);
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-size: var(--size-texto);
  color: var(--color-texto);
}

#main{
  background-position: center top !important;
  background-size: 100%;
}

.container{
  max-width: 1200px;
}

/* TIPOGRAFÍAS */

h2{
  font-family: var(--fuente-titulo);
  color: var(--color-dorado);
  font-size: 50px;
  font-weight: 200;
  margin-bottom: 30px;
}
h2::after{
  content: '';
  display: block;
  background: url(../img/separador-titulos.png) no-repeat center;
  height: 20px;
  width: 340px;
  margin: auto;
  margin-top: 20px;
}
a{
  color: var(--color-dorado);
}
a:hover{
  text-decoration: underline !important;
}

/* FICHA VIDENTE */

.ficha-vidente, .saldo-minutos{
  position: relative;
  height: 100%;
  min-height: 400px;
  padding: 9px;
  transform: translateZ(0);
}
.ficha-vidente:has(.dropdown-menu.show) {
  z-index: 10;
}

.ficha-vidente::before{
  content: "";
  position: absolute;
  inset: 0;
  border: 40px solid transparent;
  border-image-source: url("../img/marco.svg");
  border-image-slice: 40;
  border-image-width: 40px;
  border-image-repeat: stretch;
  pointer-events: none;
  z-index: 1;
}

.ficha-vidente:hover{
  box-shadow: 0px 0px 20px rgba(0,0,0,0.5);
}

.foto{
  width: 100%;
  height: 160px;
  overflow: hidden;
}
.foto img{
  height: 100%;
  width: 100%;
  object-fit: cover;
  object-position: center;
}

.datos{
  padding: 10px;
  color: var(--color-texto);
  font-size: var(--size-texto);
  
}

.nombre h3 {
  font-family: var(--fuente-titulo);
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
  text-transform: uppercase;
  color: var(--color-dorado);
  font-size: var(--size-titulos);
}

.descripcion{
  font-family: var(--fuente-texto);
  font-optical-sizing: auto;
  line-height: 1.2;

  color: var(--color-texto);
}

.estado-item .llamar{
  margin-block: 20px !important;
  display: block;
  width:90%;
  margin: auto;
}

.estado{
  display: grid;
  grid-template-columns: 1fr;
  grid-gap: 10px;
  align-items: center;
  margin:20px 0 50px 0;
}
.estado-item:only-child {
  display: block;
}
.estado:has(> .estado-item:only-child) {
  display: block;
}

.horarios{
  position: absolute;
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 3;
}
.horarios .btn-secondary, .horarios .btn:active, .horarios .dropdown-menu{
  font-size: var(--size-texto) !important;
  color: var(--color-texto);
  background: none;
  border: 0;
}
.horarios .dropdown-menu{
  font-size: 0.9rem !important;
  background: #ffffff;
  padding: 10px;
  left: 50% !important;
  transform: translate(-48%, 37px) !important;
}

/* MÁSCARA */

.mascara{

  /* Definimos variable */
  --radio: 21px; 
    
  /* 4 gradientes radiales, uno para cada cuadrante */
  -webkit-mask-image: 
    radial-gradient(circle at 0 0, transparent var(--radio), black calc(var(--radio) + 0.5px)),
    radial-gradient(circle at 100% 0, transparent var(--radio), black calc(var(--radio) + 0.5px)),
    radial-gradient(circle at 0 100%, transparent var(--radio), black calc(var(--radio) + 0.5px)),
    radial-gradient(circle at 100% 100%, transparent var(--radio), black calc(var(--radio) + 0.5px));
  
  -webkit-mask-position: top left, top right, bottom left, bottom right;
  -webkit-mask-size: 51% 51%; /* 51% evita líneas finas de renderizado en el centro */
  -webkit-mask-repeat: no-repeat;
  
  mask-image: 
    radial-gradient(circle at 0 0, transparent var(--radio), black calc(var(--radio) + 0.5px)),
    radial-gradient(circle at 100% 0, transparent var(--radio), black calc(var(--radio) + 0.5px)),
    radial-gradient(circle at 0 100%, transparent var(--radio), black calc(var(--radio) + 0.5px)),
    radial-gradient(circle at 100% 100%, transparent var(--radio), black calc(var(--radio) + 0.5px));
  mask-position: top left, top right, bottom left, bottom right;
  mask-size: 51% 51%;
  mask-repeat: no-repeat;

  height: 100%;
  min-height: 400px;

}

/* MAESTRA PREMIUM */

.maestra{
  flex: 0 0 auto;
  width: 50%;
  position: relative;
}

.maestra::before{
  --sizew: 350px;
  --sizeh: 76px;
  content: '';
  background: url(../img/ribete-maestra.png) no-repeat center / cover;
  width: var(--sizew);
  height: var(--sizeh);
  display: block;
  margin-inline: auto;
  left: 0;
  right: 0;
  top: -30px;
  position: absolute;
  z-index: 2;
}

.maestra::after{  
  content: '';
  background: url(../img/ribete-boton-bottom.svg) no-repeat center bottom;
  background-size: cover;
  height: 18px;
  width: 55px;
  display: block;
  margin: auto;
}

.maestra .mascara{
  --radio:23px;
}

.maestra .descripcion{
  color: var(--color-dorado);
}

.maestra .ficha-vidente::before{
  content: "";
  position: absolute;
  inset: 0;
  border: 40px solid transparent;
  border-image-source: url("../img/marco.svg");
  border-image-slice: 50;
  border-image-repeat: stretch;
  pointer-events: none;
  z-index: 1;
}

.maestra .ficha-vidente .mascara{
  background: var(--color-dorado);
  background: linear-gradient(0deg,rgba(232, 194, 156, 0.7) 0%, rgba(232, 194, 156, 0) 80%);
}

/* NUEVO EXPERTO */

.experto{
  position: relative;
}

.experto .datos {padding-top: 50px}

.experto::before{
  --sizew-experto: 218px;
  --sizeh-experto: 56px;
  content: '';
  background: url(../img/ribete-experto.png) no-repeat center / cover;
  width: var(--sizew-experto);
  height: var(--sizeh-experto);
  display: block;
  margin-inline: auto;
  left: 0;
  right: 0;
  top: 155px;
  position: absolute;
  z-index: 2;
}

.ficha-vidente .mascara{background:rgba(255,255,255,0.4);}

.experto .ficha-vidente .mascara{
  background: var(--color-dorado);
  background: linear-gradient(0deg,rgba(232, 194, 156, 0.7) 0%, rgba(232, 194, 156, 0) 80%);
}

/* BOTÓN ESTADO */

.button{
  width: fit-content;
}

.llamar {
  position: relative !important;
  transition: all 0.3s ease-in-out !important;
  box-shadow: 0px 10px 20px rgba(0, 0, 0, 0.2) !important;
  padding-block: 5px !important;
  padding-inline: 15px !important;
  border-radius: 9999px !important;
  cursor: pointer !important;
  color: #fff !important;
  gap: 10px !important;
  font-weight: bold !important;
  font-size: 1.1rem !important;
  text-transform: uppercase !important;
  text-decoration: none !important;
  outline: 1px solid var(--color-dorado2) !important;
  outline-offset: 3px !important;
  border: none !important;

  background:
    linear-gradient(
      120deg,
      rgba(255,255,255,0) 0%,
      rgba(255,255,255,0) 30%,
      rgba(255,255,255,0.4) 50%,
      rgba(255,255,255,0) 70%,
      rgba(255,255,255,0) 100%
    ),
    radial-gradient(circle, rgba(196,146,86,1) 0%, rgba(158,113,60,1) 70%);
  background-size: 250% 100%, 100% 100%;
  background-position: 100% 0, 0 0; /* destello fuera a la derecha, radial fijo */
  transition: background-position 0.5s ease;
}

.llamar:hover {
  background-position: 0% 0, 0 0 !important; /* destello cruza hacia la izquierda */
}

.llamar::after{
  content: '';
  background: url(../img/ribete-boton-top.svg) no-repeat center top, url(../img/ribete-boton-bottom.svg) no-repeat center bottom;
  background-size: 50px !important;
  height: 212% !important;
  width: 100% !important;
  position: absolute !important;
  top: -20px !important;
  left: 0 !important;
}

.llamar:disabled {
  cursor: not-allowed !important;
  pointer-events: auto !important;  /* mismo motivo que arriba */
}

.disponible {
  display: inline-flex;
  align-items: center;
  background: #5ea72a;
  color: #fff;
  font-size: 0.8rem;
  border-radius: 999px;
  padding: 0px 15px 0px 0px;
  gap: 8px;
}

.desconectado {
  display: inline-flex;
  align-items: center;
  background: #8b8b8b;
  color: #fff;
  font-size: 0.8rem;
  border-radius: 999px;
  padding: 0px 15px 0px 0px;
  gap: 8px;
}

.hablando {
  display: inline-flex;
  align-items: center;
  background: #e11a2a;
  color: #fff;
  font-size: 0.8rem;
  border-radius: 999px;
  padding: 0px 15px 0px 0px;
  gap: 8px;
}

.todos {
  display: inline-flex;
  align-items: center;
  background: #16213e;
  color: #fff;
  font-size: 0.8rem;
  border-radius: 999px;
  padding: 0px 15px 0px 0px;
  gap: 8px;
}

.nuevo-experto {
  display: inline-flex;
  align-items: center;
  background: var(--color-dorado);
  color: #16213e;
  font-size: 0.8rem;
  border-radius: 999px;
  padding: 0px 15px 0px 0px;
  gap: 8px;
}

.estado-icon {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background-color: rgba(255, 255, 255, 0.20);
  border-radius: 50%;
  width: 35px;
  height: 35px;
}

.estado-icon svg {
  width: 18px;
  height: 18px;
  fill: currentColor;
}

/* DESPLEGABLE FILTROS */

.desplegable-filtros{
  min-width: 300px;
}
.desplegable-filtros .form-select, .desplegable-filtros .dropdown-item{
  color: var(--color-texto);
  font-size: var(--size-texto);
}

/* PERFIL */

.sidebar-account{
  position: relative;
}
.sidebar-account::before {
  content: "";
  position: absolute;
  top: -10%;
  bottom: -10%;
  right: -40px;
  width: 40px;
  
  background: radial-gradient(
    ellipse 50% 50% at left center,
    rgba(0, 0, 0, 0.25) 0%,
    rgba(0, 0, 0, 0) 70%
  );
  
  z-index: -1;
  pointer-events: none;
}

.table>:not(caption)>*>*{
  background-color: transparent;
  color: var(--color-texto);
}
.separador img{
  width: 100%;
  margin: auto;
}
.saldo-minutos{
  padding: 11px;
  text-align: center;
}
.saldo-minutos, .saldo-minutos .mascara{
  min-height: auto;
}
.saldo-minutos .mascara{
  background: transparent;
  --radio: 22px;
}
.saldo-minutos .datos{
  padding: 25px;
}
.saldo-minutos::before{
  content: "";
  position: absolute;
  inset: 0;
  border: 30px solid transparent;
  border-image-source: url("../img/marco.svg");
  border-image-slice: 25;
  border-image-repeat: stretch;
  pointer-events: none;
  z-index: 1;
}
h3 span.numero{
  font-size: 3.5rem;
}
.bonos h3{
  color: var(--color-azul);
}
.saldo-minutos .nombre h3{
  text-transform: inherit;
}
.llamar.recargar::after{
  display: none;
}
.estado-item .llamar.recargar{
  margin-block: 5px !important;
}

/* CONSULTAS */

td.datos-consultas{
  padding-block: 20px;
}

.datos-consultas div div:has(img){
  width: 100px;
  height: 100px;
  border-radius: 50%;
  overflow: hidden;
  display: block;
}
.datos-consultas div div img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  transform: scale(1.6);
  transform-origin: center;
  transform-origin: top center;
}

/* MENÚ PERFIl */

.menu-perfil ul{
  padding: 0;
}
.menu-perfil ul li{
  list-style: none;
  padding: 5px 20px;
  border-bottom: 1px solid var(--color-dorado2);
}
.menu-perfil ul li a{
  color: var(--color-texto);
  text-decoration: none;
}
.menu-perfil ul li a:hover{
  color: var(--color-dorado2);
}
.menu-perfil ul li.current a{
  font-weight: 700;
  color: var(--color-dorado);
}

/* BONOS TARIFAS */

.bonos .mascara{
 background: #EACFA6;
background: radial-gradient(circle,rgba(234, 207, 166, 0.8) 0%, rgba(210, 168, 106, 0.8) 70%);
}
.saldo-minutos.bonos .mascara{
  --radio: 26px !important;
}
.bonos::before{
  border: 40px solid transparent;
  border-image-slice: 35;
  content: "";
  position: absolute;
  inset: 0;
  border-image-source: url("../img/marco.svg");
  border-image-repeat: stretch;
  pointer-events: none;
  z-index: 1;
}
.bonos .datos{
  color: #fff;
}
.tipo-bono{
  margin-bottom: 15px;
  font-size: 20px;
}
.tipo-bono::after{
  content: '';
  background: url(../img/separador-titulos-light.png) center center no-repeat;
  height: 15px;
  width: 100%;
  margin-top: 10px;
  display: block;
}
.minutos{
  font-family: var(--fuente-titulo);
  font-size: 30px;
  line-height: 1.7rem;
}
.bonos .estado-item{margin-bottom: 15px}
.bonos .descripcion{
  color: #fff;
  font-size: 18px;
}
.bonos .nombre{
  display: inline-flex;
  align-items: baseline;
}
.descuento{
  text-decoration: line-through;
  opacity: 0.4;
}
h3.descuento, h3.descuento span.numero{
  font-size: 30px;
  color: var(--color-azul);
}

/* BONOS ESPECIALES */

.especiales .tipo-bono, .especiales .nombre h3, .especiales h3.descuento span.numero{
  color: var(--color-azul);
}
.especiales .llamar{
  outline: 1px solid var(--color-azul) !important;

  background:
    linear-gradient(
      120deg,
      rgba(255,255,255,0) 0%,
      rgba(255,255,255,0) 30%,
      rgba(255,255,255,0.4) 50%,
      rgba(255,255,255,0) 70%,
      rgba(255,255,255,0) 100%
    ),
    radial-gradient(circle,rgba(8, 15, 34, 1) 0%, rgba(22, 33, 62, 1) 50%);
  background-size: 250% 100%, 100% 100%;
  background-position: 100% 0, 0 0; /* destello fuera a la derecha, radial fijo */
  transition: background-position 0.5s ease;
}
.promo::before{
  content: '';
  display: block;
  background: url(../img/ribete-promo.png) center center no-repeat;
  height: 56px;
  width: 100%;
  position: relative;
}
.promo::after{
  margin-top: -15px !important;
}

/* MEDIAS */

@media (min-width: 1200px) {
  .maestra .ficha-vidente .mascara{
    display: grid;
    grid-template-columns: 1fr 1fr;
    flex-wrap: wrap; 
  }
  .maestra .foto{
    height: 100%;
    overflow: hidden;
  }
  .maestra .ficha-vidente .foto img{
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: center;
  }
  .maestra .ficha-vidente .datos{
    text-align: left;
    padding: 80px 25px 25px;    
  }
  .maestra .nombre h3{
    font-size: 35px;
  }
  .maestra .horarios{
    left: 65%;
  }
}

@media (max-width: 1150px) {
  .maestra .mascara{
    --radio:24px;
  }
  .maestra::before{
  --sizew: 270px;
  background-size: 100% auto;
  }
}

@media (max-width: 1150px) {
  .mascara {
    --radio: clamp(15px, 1.5vw, 18px);
  }
}

@media (max-width: 991px) {
  .mascara {
    --radio: clamp(27px, 3vw, 29px) !important;
  }
  .maestra .mascara {
    --radio: 29px !important;
  }
  .ficha-vidente, .maestra .ficha-vidente {
    padding: 12px;
  }
}

@media (min-width: 1150px) and (max-width: 1199px){
  .maestra .mascara{
    --radio: 26px;
  }
}

@media (min-width: 992px) and (max-width: 1199px){
  .estado{
    display: block;
  }
  .estado-item .llamar{
    margin: 30px 0 50px 0 !important; 
  }
}

@media (min-width: 992px) and (max-width: 1150px) {
  .maestra .ficha-vidente::before{
    content: "";
    position: absolute;
    inset: 0;
    border: 40px solid transparent;
    border-image-source: url("../img/marco.svg");
    border-image-slice: 60;
    border-image-repeat: stretch;
    pointer-events: none;
    z-index: 1;
  }
  .maestra .mascara{
    --radio:18px;
  }
}

@media (max-width: 991px) {
  .maestra .ficha-vidente::before{
    content: "";
    position: absolute;
    inset: 0;
    border: 40px solid transparent;
    border-image-source: url("../img/marco.svg");
    border-image-slice: 40;
    border-image-repeat: stretch;
    pointer-events: none;
    z-index: 1;
  }
}

@media (max-width: 767px) {
  .maestra{width: 100%}
  .sidebar-account::before {display: none;}
  .estado-item img{width: 80%}
}